Status: New   

Priority: Low   

Assignee:    

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently when HTTP boot feature needs to be turned on both options foreman-proxy-httpboot=true and foreman-proxy-tftp=true

must be spefified as the latter configures /var/lib/tftproot folder and installs configuration files and bootloaders. It would be nice if this

worked only with option foreman-proxy-httpboott=true.

Related issues:

Related to Installer - Bug #30449: Foreman Proxy HTTPBoot feature should not ... Closed

History

#1 - 11/29/2019 03:17 PM - Ewoud Kohl van Wijngaarden

- Priority changed from Normal to Low

- Fixed in Releases 1.24.0 added

httpboot is hidden under advanced parameters and hidden from the user by default. The httpboot option defaults to undef and is then set to match

tftp. That means if you just use --foreman-proxy-tftp=true you get both tftp and httpboot. That is because in the smart-proxy module tftp is defined as a

dependency on tftp. It might be nice to hard fail if httpboot is on but tftp is off.

#2 - 07/30/2020 02:25 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #30449: Foreman Proxy HTTPBoot feature should not require tftp added

#3 - 09/07/2022 02:24 PM - Ewoud Kohl van Wijngaarden

- Fixed in Releases deleted (1.24.0)

Not sure why I set Fixed in Releases. In #30449 the requirement was dropped. It mentions that what this issue describes should still happen.
